Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#582 Dialog Ping

1.8.x
closed-fixed
modules (454)
5
2012-11-28
2012-11-13
No

I'm having some problems with the Dialog Ping when using another port different from the 5060.
My opensips is listening on both ports, 5060 and 5062 and, as the trace attached, when the client is sending requests to the port 5062 and the dialog is created, the Dialog Ping sends the OPTIONS packet from the port 5060. Because of this, my client's NAT is blocking the packet, because its mapped to the port 5062 and not the 5060.

Follow the dialog information:
root@sipstage:/home/suporte# opensipsctl fifo dlg_list
dialog:: hash=2536:1633827324
state:: 4
user_flags:: 0
timestart:: 1352831188
timeout:: 1352838388
callid:: a4e155f4320d43b9be48fde6457150ee
from_uri:: sip:P0000000001@sipstage.pligg.com.br
to_uri:: sip:05130227701@sipstage.pligg.com.br
caller_tag:: 6fe6c313c92742a392fd75740f8867d7
caller_contact:: sip:P0000000001@177.97.125.92:4057;ob
callee_cseq:: 0
caller_route_set::
caller_bind_addr:: udp:177.129.74.30:5062
callee_tag:: a94c095b773be1dd6e8d668a785a9c8470442779
callee_contact:: sip:05130227701@201.56.167.2:5060
caller_cseq:: 31678
callee_route_set:: <sip:201.33.209.42;lr;did=8e96.0e1aebe1>,<sip:201.33.209.194;lr=on;did=8e9.c48a6f3>
callee_bind_addr:: udp:177.129.74.30:5062

Here follows the OPTIONS part of the Trace:
U 2012/11/13 16:28:59.522813 177.129.74.30:5060 -> 177.97.125.92:4050
OPTIONS sip:P0000000025@177.97.125.92:4050;ob SIP/2.0.
Via: SIP/2.0/UDP 177.129.74.30:5062;branch=z9hG4bKf915.ddfebd02.0.
To: <sip:P0000000025@sipstage.pligg.com.br>;tag=6caf1d8cdc4645719b25a6e120c90679.
From: <sip:05130227701@sipstage.pligg.com.br>;tag=a94c095b773be1dd6e8d668a785a9c849cb5c894.
CSeq: 1 OPTIONS.
Call-ID: 433b8548a3944c2ea03a4a9cf2ce0bc4.
Max-Forwards: 70.
Content-Length: 0.
User-Agent: OpenSIPS (1.8.2-notls (x86_64/linux)).

* The SIP Trace attached was made while using the Opensips 1.8.1, but I did the test with the newest 1.8.x version e the problem was the same.

Discussion

  • SIP Trace

     
    Attachments
    • assigned_to: nobody --> vladut-paiu
     
  • Hello,

    I have committed a fix for this in the 1.8 branch and trunk.
    Could you please update your sources and try again ?

    Best Regards,
    Vlad

     
    • status: open --> open-fixed
     
  • Vlad,

    Thank's for your quick answer. I tried as you ask and, now, the Dialog Ping worked fine, the source was 5062, just like it was supposed to be.

    Best Regards,
    Carlos

     
  • Hi Carlos,

    Ok, glad that it's fixed. Closing.

    Best Regards,
    Vlad

     
    • status: open-fixed --> closed-fixed